#!/usr/bin/env python

import glob
import os.path

from nestly import Nest, stripext

tr = map(os.path.abspath, glob.glob('trees/*.tre'))

def get_leaves(ctrl):
    p = ctrl['tree']
    return [int(stripext(p))]

n = Nest()
n.add('algorithm', ('PAM', 'Full'))
n.add('tree', tr, label_func=stripext)
n.add('n_leaves', get_leaves, create_dir=False)
n.add('k', lambda c: [int(round(c['n_leaves'] / 2., 0))], label_func='{0:03d}'.format, create_dir=False)
n.build()

